Bug 730431 - With events enabled error on repo create
Summary: With events enabled error on repo create
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Pradeep Kilambi
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 21:48 UTC by John Matthews
Modified: 2013-09-09 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 15:49:26 UTC


Attachments (Terms of Use)

Description John Matthews 2011-08-12 21:48:17 UTC
Description of problem:

I enabled 'events' in /etc/pulp/pulp.conf
Now I see errors on repo create:

error: operation failed: AttributeError: 'str' object has no attribute 'relative_path'


/etc/pulp/pulp.conf
#
# AMQP event processing
#
[events]
send_enabled: true
recv_enabled: true

Log output

[Fri Aug 12 17:44:05 2011] [error] 2011-08-12 17:44:05,117 pulp.server.webservices.controllers.decorators:ERROR: Traceback (most recent call last):
[Fri Aug 12 17:44:05 2011] [error]   File "/shared/repo/pulp/src/pulp/server/webservices/controllers/decorators.py", line 48, in report_error
[Fri Aug 12 17:44:05 2011] [error]     return method(self, *args, **kwargs)
[Fri Aug 12 17:44:05 2011] [error]   File "/shared/repo/pulp/src/pulp/server/webservices/controllers/decorators.py", line 127, in _auth_decorator
[Fri Aug 12 17:44:05 2011] [error]     value = method(self, *args, **kwargs)
[Fri Aug 12 17:44:05 2011] [error]   File "/shared/repo/pulp/src/pulp/server/webservices/controllers/repositories.py", line 245, in POST
[Fri Aug 12 17:44:05 2011] [error]     content_types=repo_data.get('content_types', 'yum'))
[Fri Aug 12 17:44:05 2011] [error]   File "/shared/repo/pulp/src/pulp/server/event/dispatcher.py", line 83, in call
[Fri Aug 12 17:44:05 2011] [error]     method(inst, *args, **kwargs)
[Fri Aug 12 17:44:05 2011] [error]   File "/shared/repo/pulp/src/pulp/server/event/handler/repo.py", line 53, in create
[Fri Aug 12 17:44:05 2011] [error]     path = os.path.join(util.top_repos_location(), repo.relative_path)
[Fri Aug 12 17:44:05 2011] [error] AttributeError: 'str' object has no attribute 'relative_path'

Comment 1 Sayli Karmarkar 2011-08-17 15:49:26 UTC
Closing this as we do not have events any more.


Note You need to log in before you can comment on or make changes to this bug.